[![Runbot Status](https://runbot.odoo-community.org/runbot/badge/flat/162/10.0.svg)](https://runbot.odoo-community.org/runbot/repo/github-com-oca-web-162)
[![Build Status](https://travis-ci.org/OCA/web.svg?branch=10.0)](https://travis-ci.org/OCA/web)
[![Coverage Status](https://coveralls.io/repos/OCA/web/badge.png?branch=10.0)](https://coveralls.io/r/OCA/web?branch=10.0)

Web addons for Odoo
===================

This project aims to deal with modules related to the webclient of Odoo. You'll find modules that:

- Add facilities to the UI
- Add widgets
- Ease the import/export features
- Generally add clientside functionality

[//]: # (addons)

Available addons
----------------
addon | version | summary
--- | --- | ---
[help_online](help_online/) | 10.0.1.0.0 | Help Online
[web_chatter_paste](web_chatter_paste/) | 10.0.1.0.0 | Paste images and drop files into the chatter and upload them directly
[web_dialog_size](web_dialog_size/) | 10.0.1.0.0 | A module that lets the user expand a dialog box to the full screen width.
[web_environment_ribbon](web_environment_ribbon/) | 10.0.1.0.0 | Web Environment Ribbon
[web_export_view](web_export_view/) | 10.0.1.0.0 | Web Export Current View
[web_favicon](web_favicon/) | 10.0.1.0.0 | Allows to set a custom shortcut icon (aka favicon)
[web_hide_db_manager_link](web_hide_db_manager_link/) | 10.0.1.0.0 | Hide link to database manager in login screen
[web_listview_range_select](web_listview_range_select/) | 10.0.1.0.0 | Enables selecting a range of records using the shift key
[web_no_bubble](web_no_bubble/) | 10.0.1.0.0 | Remove the bubbles from the web interface
[web_notify](web_notify/) | 10.0.1.0.0 | Send notification messages to user
[web_responsive](web_responsive/) | 10.0.1.0.0 | It provides a mobile compliant interface for Odoo Community web
[web_search_with_and](web_search_with_and/) | 10.0.1.0.0 | Use AND conditions on omnibar search
[web_searchbar_full_width](web_searchbar_full_width/) | 10.0.1.0.0 | Show search bar in full screen width
[web_send_message_popup](web_send_message_popup/) | 10.0.1.0.0 | Web Send Message as Popup
[web_sheet_full_width](web_sheet_full_width/) | 10.0.1.0.1 | Use the whole available screen width when displaying sheets
[web_translate_dialog](web_translate_dialog/) | 10.0.1.0.0 | Easy-to-use pop-up to translate fields in several languages
[web_tree_image](web_tree_image/) | 10.0.1.1.0 | Show images in tree views
[web_tree_many2one_clickable](web_tree_many2one_clickable/) | 10.0.1.0.0 | Open the linked resource when clicking on their name
[web_widget_color](web_widget_color/) | 10.0.1.0.0 | Web Widget Color
[web_x2many_delete_all](web_x2many_delete_all/) | 10.0.1.0.0 | Adds a button to x2many fields that removes all linked records


Unported addons
---------------
addon | version | summary
--- | --- | ---
[help_popup](help_popup/) | 8.0.0.5.0 (unported) | Help Popup
[support_branding](support_branding/) | 8.0.2.0.0 (unported) | Adds your branding to an Odoo instance
[web_access_rule_buttons](web_access_rule_buttons/) | 9.0.1.0.0 (unported) | Disable Edit button if access rules prevent this action
[web_action_conditionable](web_action_conditionable/) | 8.0.0.1.0 (unported) | web_action_conditionable
[web_advanced_search_x2x](web_advanced_search_x2x/) | 8.0.1.0.0 (unported) | Use a search widget in advanced search for x2x fields
[web_ckeditor4](web_ckeditor4/) | 8.0.1.0.0 (unported) | Provides a widget for editing HTML fields using CKEditor 4.x
[web_confirm_window_close](web_confirm_window_close/) | 7.0.1 (unported) | Check for unsaved data when closing browser window
[web_context_in_colors](web_context_in_colors/) | 8.0.1.1.0 (unported) | Use the context in a tree view's colors and fonts attribute
[web_dashboard_open_action](web_dashboard_open_action/) | 8.0.1.0.0 (unported) | Adds a button to open a dashboard in full mode
[web_dashboard_tile](web_dashboard_tile/) | 8.0.1.0.0 (unported) | Add Tiles to Dashboard
[web_dom_model_classes](web_dom_model_classes/) | 8.0.1.0.0 (unported) | Allows small UI changes with simple CSS
[web_duplicate_visibility](web_duplicate_visibility/) | 9.0.1.0.0 (unported) | Manage the duplicate button visibiliy
[web_graph_improved](web_graph_improved/) | 8.0.0.1.0 (unported) | Improves graph views.
[web_group_expand](web_group_expand/) | 8.0.1.0.0 (unported) | Group Expand Buttons
[web_ir_actions_act_window_message](web_ir_actions_act_window_message/) | 8.0.1.0.0 (unported) | Show a message box to users
[web_ir_actions_act_window_page](web_ir_actions_act_window_page/) | 8.0.1.0.0 (unported) | Allows a developer to trigger a pager to show the previous or next next record in the form view
[web_last_viewed_records](web_last_viewed_records/) | 8.0.1.0.0 (unported) | Last viewed records
[web_listview_custom_element_number](web_listview_custom_element_number/) | 8.0.1.0.0 (unported) | Allow users to set manually a quantity of items to display in a tree view
[web_m2x_options](web_m2x_options/) | 8.0.0.2 (unported) | web_m2x_options
[web_menu_navbar_needaction](web_menu_navbar_needaction/) | 8.0.1.0.0 (unported) | Show the sum of submenus' needaction counters in main menu
[web_option_auto_color](web_option_auto_color/) | 8.0.0.1.0 (unported) | Web Option Auto Color
[web_polymorphic_many2one](web_polymorphic_many2one/) | 0.2 (unported) | Web Polymorphic Many2One
[web_readonly_bypass](web_readonly_bypass/) | 9.0.1.0.0 (unported) | Allow to save onchange modifications to readonly fields
[web_recipients_uncheck](web_recipients_uncheck/) | 8.0.0.3.0 (unported) | Uncheck recipients on res.partner
[web_search_alphabetic](web_search_alphabetic/) | 1.0 (unported) | Web Alphabetical Search
[web_sheet_full_width_selective](web_sheet_full_width_selective/) | 8.0.0.1.0 (unported) | Show selected sheets with full width
[web_shortcuts](web_shortcuts/) | 8.0.1.0.0 (unported) | Web Shortcuts
[web_switch_company_warning](web_switch_company_warning/) | 8.0.0.1.0 (unported) | Show a warning if current company has been switched in another tab or window.
[web_tree_dynamic_colored_field](web_tree_dynamic_colored_field/) | 8.0.1.0.0 (unported) | web tree dynamic colored field
[web_widget_datepicker_options](web_widget_datepicker_options/) | 8.0.1.0.0 (unported) | web_widget_datepicker_options
[web_widget_float_formula](web_widget_float_formula/) | 9.0.1.0.0 (unported) | Allow use of simple formulas in float fields
[web_widget_image_download](web_widget_image_download/) | 9.0.1.0.0 (unported) | Allows to download any image from its widget
[web_widget_many2many_tags_multi_selection](web_widget_many2many_tags_multi_selection/) | 9.0.1.1.0 (unported) | Tags multiple selection
[web_widget_text_markdown](web_widget_text_markdown/) | 8.0.1.0.0 (unported) | web_widget_text_markdown
[web_widget_timepicker](web_widget_timepicker/) | 9.0.1.0.0 (unported) | Web Timepicker Widget
[web_widget_x2many_2d_matrix](web_widget_x2many_2d_matrix/) | 9.0.1.0.0 (unported) | Show list fields as a matrix

[//]: # (end addons)
